<div class="content">
  <app-spinner class="spinner" *ngIf="displaySpinner"></app-spinner>
  <!-- To jest bardzo złe ale działa -->
  <!-- <a class='button' href="http://localhost:51724/database/export">Export</a> -->
  <button (click)="exportFile()">Export file</button>
  <input type="file" (change)="handleFileInput($event.target.files)">
  <div class="grid-container" *ngFor="let artist of favorites">
    <div class="grid-item picture">
      <img class="picture-img" src="{{ artist.image }}">
    </div>
    <div class="grid-item">
      <h1 class="artists">{{ artist.name }} </h1>
      <div *ngFor="let album of artist.albums; let i=index">
        <span class="albums"> {{ album.name }} </span>
        <div *ngFor="let track of album.tracks; let j=index">
          <p class="tracks"> {{ (j + 1) }}.) {{ track.name }} </p>
        </div>
      </div>
    </div>
  </div>
</div>

